package com.dzeio.openhealth

import android.app.Application
import android.content.SharedPreferences
import androidx.preference.PreferenceManager
import com.google.android.material.color.DynamicColors
import dagger.hilt.android.HiltAndroidApp
import java.util.Locale

@HiltAndroidApp
class Application : Application() {
    companion object {
        const val TAG = "OpenHealth"
    }

    override fun onCreate() {
        super.onCreate()

        // Android Dynamics Colors
        DynamicColors.applyToActivitiesIfAvailable(this)

        // Change application Language based on setting
        val preferences: SharedPreferences = PreferenceManager.getDefaultSharedPreferences(this)
        val lang = preferences.getString("global_language", Locale.getDefault().language)
        val locale = Locale(lang)
        Locale.setDefault(locale)

//        val overrideConfiguration = baseContext.resources.configuration
//        overrideConfiguration.locale = locale
//        val context: Context = createConfigurationContext(overrideConfiguration)
//        val resources: Resources = context.resources
    }

    /**
     * SharedPreferences Key
     */
    object Settings {
    }
}
